services:

  imapsync:
    image: gilleslamiral/imapsync
    command: /servimapsync
    container_name: ${imapsyncServName}
    restart: ${restartPolicy}
    networks:
      - imapsyncNet
    env_file:
      - ../../secret/env-${imapsyncServName}      
    expose:
      - 80
    volumes:
      - ./imapsync_form_extra.html:/var/tmp/imapsync_form_extra.html
      - ./imapsync_form.css:/var/tmp/imapsync_form.css
#on autorise 40% du cpu : si la machine s' emballe, les ressources seront atteintes et imapsync régulera
    cpus: 0.4

    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${imapsyncServName}.rule=Host(`${imapsyncHost}.${domain}`)"
      - "traefik.http.services.${imapsyncServName}.loadbalancer.server.port=${imapsyncPort}"
      - "traefik.docker.network=imapsyncNet"

networks:
  imapsyncNet:
    external: true
    name: imapsyncNet
